import ngsolve as ngs

from netgen.csg import *
from ngsolve import *

geo1 = CSGeometry()
geo1.Add (OrthoBrick(Pnt(-0.5,-0.5,-0.5),Pnt(0.5,0.5,0.5)))



order=3
print("order= ",order)
m1 = geo1.GenerateMesh (maxh=0.5)
mesh = ngs.Mesh(m1)
fesl2=ngs.L2(mesh,order=order,dgjumps=True,dirichlet='~x')

fesf = ngs.FacetFESpace(mesh,order=order, dirichlet=".*")
fesf = ngs.Compress(fesf,active_dofs=~fesf.FreeDofs())


u=fesf.TrialFunction()
v=fesl2.TestFunction()


print("building Mass")
m = ngs.BilinearForm(trialspace=fesf, testspace=fesl2)
print("huh?")
m +=  u* v * ngs.ds(element_vb=BND,skeleton=True)
print("assemblign")
m.Assemble()
print(m)
